/*
 * controller.h
 *
 *  Created on: Dec 24, 2009
 *      Author: ÓHerman van der MeulenÓ
 */

#ifndef CONTROLLER_H_
#define CONTROLLER_H_

#include <stdio.h>
#include <nds.h>

#include "draw.h"
#include "prep.h"

typedef struct position
{
	int x;
	int y;
} Position;

Position lastPosition;
Position currentPosition;
Position newPosition;

int inRoute, penStatus, routeCorrect, placing;

Position placedPosition;

void resetRoute();
void checkCorrectRoute();
void setNewPosition(touchPosition* touchXY);
void validateMove();
void extendRoute();
void setUserBlock(Position position);
void changePenStatus(int newPenStatus);

#endif /* CONTROLLER_H_ */
